using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using FLY.Thick.Base.Server;
using FLY.Thick.Base.OBJ_INTERFACE;
using FLY.Thick.Base.IService;
using FLY.Thick.Base.Common;

namespace FLY.Thick.Base.Server.OBJProxy
{
    public class Fix_OBJProxy: FObj
    {
        #region 延时推送 MARKNO

        #endregion

        IFixService mFix;

         public Fix_OBJProxy(int objsys_idx, UInt32 id, IFixService fix)
            : base(objsys_idx)
        {
            ID = id;
            mFix = fix;
            mFix.RegistTimeGridEvent(new FixEventHandler(GM_Fix_TimeGridEvent));
        }
         void GM_Fix_TimeGridEvent(object sender, FixEventArgs e)
         {
            string json = Newtonsoft.Json.JsonConvert.SerializeObject(e);
            CurrObjSys.PushObjInfoEx(
                this, FIX_OBJ_INTERFACE.PUSH_TIMEGRID,
                Misc.Converter.StringToBytes(json));
         }
        #region FObj 重载

        #endregion

    }
}
